Adlib home page > Support > Downloads > Adlib 7.5 upgrade

 

Adlib 7.5 upgrade

Adlib 7.5 (build 18051.1, available from February 21, 2018) is available to all customers with a maintenance contract. Please log on to My Adlib and click the My messages tab to download the upgrade installer. A password is not required for the installation of this upgrade: a valid Adlib license file is all you need. The first time you run a 7.5 installer it upgrades a single existing installation of your choice, while every next time (for small service releases) it automatically upgrades the previously upgraded installation. It upgrades only the core Adlib software (executables and accompanying files), not any application files, so of existing installations only the folder containing adlwin.exe (and accompanying files) will be updated.
So unlike pre-7.5 installers, this installer upgrades an installation only once. The installer will check the Windows registry for the location of your last installed Adlib software (installed with an installer that is, manual copies of Adlib folders and files won't be found). If it finds a 7.4, 7.3 or 7.2 installation, you can upgrade that installation or choose a different one by selecting a different Adlib executables folder. If an existing 7.5 installation with an older version of the executables is found, then that installation will automatically be upgraded and you won't be able to choose a different installation.

Installing 7.5

  • Version 7.5 of Adlib can be installed on Windows 7, 8 and 10 systems (not on NT4, 98 or ME, and XP and Vista are no longer supported), and on Windows 2008 Server or newer versions.
  • If your application runs on an Adlib SQL database, you'll also need SQL Server 2005 or higher to run Adlib 7 succesfully - SQL Server 2000 is not supported for 7.5.
  • If your application runs on an Adlib SQL database and you are currently using Adlib version 6.4.0.644 or older, you'll have to convert your databases to the new table structures implemented in 6.5.0 before you can start using the new Adlib version. If your application runs on an Adlib Oracle database and you are currently using Adlib version 6.5.0 or older, you'll have to convert your databases to the new table structures implemented in 6.5.1 before you can start using the new Adlib version. This conversion can be performed with the Adlib Update64 tool. Please contact our helpdesk for more information about this tool.

To download and install 7.5:

  1. For safety reasons, back up your databases and Adlib software, before installing the release.
  2. For some Adlib functionality it is required that you have MSXML 6.0 installed on your computer. MSXML 6.0 can be downloaded for free from Microsoft.
  3. Download the upgrade installer from the My messages tab on My Adlib, to a temporary folder on your computer.
  4. Open the folder where you saved the installation file.
  5. Double-click "AdlibSetup75.msi".
  6. Follow the on-screen instructions and select the executables folder of the Adlib installation to be upgraded.

After installation, Windows 7 and Windows 8 users may be confronted with a Windows message stating that the software may not have been installed correctly. This message is incorrect. Click "This program has been installed correctly" to close the message. You will be able to start Adlib normally.

Downloads:

ReleaseNotes 7.5 EN.doc (Word document)
ReleaseNotes 7.5 EN.pdf (PDF)